function setJAGPresetInfo() {return;
	belenusHome.setUserData('b_name',belenusHome.b_name);
	belenusHome.setUserData('b_street',belenusHome.b_street);
	belenusHome.setUserData('b_zipcode',belenusHome.b_zip);
	belenusHome.setUserData('b_city',belenusHome.b_city);
	belenusHome.setUserData('b_phone',belenusHome.b_phone);
	belenusHome.setUserData('b_email',belenusHome.b_email);
	belenusHome.setUserData('b_fax',belenusHome.b_fax);
	belenusHome.setUserData('b_email',belenusHome.b_email);
	belenusHome.setUserData('o_name',belenusHome.o_name);
	belenusHome.setUserData('o_street',belenusHome.o_street);
	belenusHome.setUserData('o_zipcode',belenusHome.o_zip);
	belenusHome.setUserData('o_city',belenusHome.o_city);
	belenusHome.setUserData('o_phone',belenusHome.o_phone);
	belenusHome.setUserData('o_fax',belenusHome.o_fax);
	belenusHome.setUserData('o_email',belenusHome.o_email);
}
function registerThisModule() {
	if(belenusHome.shoppingEnabled == true) {
	  try {
	    belenusHome.registerModule("Basket", new Basket());    
	  } catch(e) {
	    alert("Error occurred\n-Error-nr.: 05\n-Can not register module: <Basket>!\n\nError description: "+e.toString());
	  }
	}
	setJAGPresetInfo()
}

function sendBasket(mode) { // allowed params "server" & "email"
	if(belenusHome.belenusBasket[0].length>0) {
    if(mode == "server") {
  		if(belenusHome.oci_interface) {
  			belenusHome.sendOCIBasket(); // calls an other method which handels the way of sending to the sap interface, defined in oci_generator.js...
  		} else {
  			belenusHome.whereIsTheForm.document.forms['standardBasketForm4ServerSubmit'].submit();
  			belenusHome.delAllItems(false);
        
          var fProps = belenusHome.document.getElementById('MainFrameSet').getAttribute("Rows").split(","); //frame properties
          var tabPos = (belenusHome.showVersionAlert) ? fProps.length-2 : fProps.length-1;
          if(parseInt(fProps[tabPos]) > 0) belenusHome.WM.getWindowReference("basket").location.reload();        
        
  			belenusHome.WM.closeWindow('printPopup');
        //belenusHome.WM.closeWindow('basketPopup');
        if(!belenusHome.includedOrPopupBasket) setTimeout("belenusHome.WM.closeWindow(belenusHome.basketWinName)",1);
        else setTimeout("belenusHome.WM.closeWindow(belenusHome.basketWinName+'Extra')",1);
  		}
  	} else {
      if(mode == "email") {
        belenusHome.whereIsTheForm.document.forms['standardBasketForm4EmailSubmit'].submit();
      }
    } // no server submit
  } // empty basket
}
